import type { _NSCollectionViewLayoutInvalidationContext } from "./NSCollectionViewLayoutInvalidationContext.js";
export declare class _NSCollectionViewFlowLayoutInvalidationContext extends _NSCollectionViewLayoutInvalidationContext {
    static alloc(): _NSCollectionViewFlowLayoutInvalidationContext;
    static new(): _NSCollectionViewFlowLayoutInvalidationContext;
    init(): _NSCollectionViewFlowLayoutInvalidationContext;
    /**
     * if set to NO, flow layout will not requery the collection view delegate for size information etc.
     */
    invalidateFlowLayoutDelegateMetrics(): boolean;
    setInvalidateFlowLayoutDelegateMetrics$(value: boolean): void;
    /**
     * if set to NO, flow layout will keep all layout information, effectively not invalidating - useful for a subclass which invalidates only a piece of itself
     */
    invalidateFlowLayoutAttributes(): boolean;
    setInvalidateFlowLayoutAttributes$(value: boolean): void;
}
